Subject: [bug#43578] [PATCH 0/4] Rewriting implicit inputs with 'package-input-rewriting' & co.

From: zimoun <[email-masked]>
Date: Wed, 23 Sep 2020 19:17:33 +0200

Hi,

On Wed, 23 Sep 2020 at 18:23, Ludovic Courtès <[email-masked]> wrote:

> Concretely, the following commands had no effect thus far:
>
>   guix build python-itsdangerous --with-input=python=python2
>   guix build hello --with-input=gcc=gcc-toolchain@10
>
> In both cases, this is because the input we want to change is
> an implicit input.  This patch set fixes that, and it fixes
> <https://issues.guix.gnu.org/42156> as a side effect.

Awesome!

Therefore, 'package-with-explicit-python' & co. are becoming obsolete
(or almost), right?

> This opens new possibilities.  ‘--with-input=python=python2’ is one
> of them, but ‘--with-input=gcc=gcc-toolchain@10’ is not (it fails
> to build for obscure reasons that I’ll fix in ‘core-updates’, and
> it rebuilds the world anyway, which is not practical).  Another

Rebuilding the world, maybe. :-)  It is interesting in the HPC context
where one would like use an "optimized" compiler, isn't?

Thank you.  I will give it a try for my use cases. :-)

All the best,
simon